Zum Hauptinhalt springen
POST
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
Den Blueprint auf Enterprise-Ebene erstellen
curl --request POST \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints"

payload = { "contents": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contents: '<string>'})
};

fetch('https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "updated_at": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageAccountSnapshots auf Enterprise-Ebene.

Verhalten

Erstellt den Blueprint auf Enterprise-Ebene. Ein Blueprint definiert die deklarative Umgebungskonfiguration für Devin-Sitzungen. Das Ändern eines Blueprints löst keinen Build automatisch aus — Sie müssen den Builds-Endpunkt ausdrücklich aufrufen.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Body

application/json
contents
string | null

YAML-Body für den neuen Blueprint. Weglassen, um einen leeren Blueprint zu erstellen.

Antwort

Erfolgreiche Antwort

Öffentliches Ressourcenformat für Blueprint.

Hinweis: Das Enum type kann in Zukunft erweitert werden; Clients MÜSSEN unbekannte Werte robust verarbeiten. Der YAML-Inhalt wird separat über GET /blueprints/{id}/contents abgerufen.

blueprint_id
string
erforderlich
created_at
integer
erforderlich
repo_name
string | null
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org,
repo
updated_at
integer
erforderlich